<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    WP_Fitsales
 * @subpackage WP_Fitsales/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
//Get the active tab from the $_GET param
$default_tab = null;
$tab = isset($_GET['tab']) ? $_GET['tab'] : $default_tab;
$formid = isset($_GET['formid']) ? $_GET['formid'] : null;
$cf7 = $wpforms = $ninjaforms = false;
?>
<!-- Our admin page content should all be inside .wrap -->
<div class="wrap">
    <div id="icon-themes" class="icon32"></div>  
    <?php settings_errors(); ?>  
    <!-- Print the page title -->
    <h1>Configuración de Formularios</h1>

    <!-- Here are our tabs -->
    <?php

    if (WP_Fitsales_Public::is_cf7_integrated()) {
        $cf7 = true;
    }

    if (WP_Fitsales_Public::is_wpforms_integrated()) {
        $wpforms = true;
    }

    if (WP_Fitsales_Public::is_ninjaforms_integrated()) {
        $ninjaforms = true;
    }
    ?>
    <?php
    if($cf7 || $wpforms || $ninjaforms) {
    ?>
    <nav class="nav-tab-wrapper">
        <?php
        if($cf7) {
        ?>
        <a href="?page=wp-fitsales" class="nav-tab <?php if($tab===null):?>nav-tab-active<?php endif; ?>">Contact Form 7</a>
        <?php
        }
        if($wpforms) {
        ?>
        <a href="?page=wp-fitsales&tab=wpforms" class="nav-tab <?php if($tab==='wpforms'):?>nav-tab-active<?php endif; ?>">WP Forms</a>
        <?php
        }
        if($ninjaforms) {
        ?>            
        <a href="?page=wp-fitsales&tab=ninjaforms" class="nav-tab <?php if($tab==='ninjaforms'):?>nav-tab-active<?php endif; ?>">Ninja Forms</a>
        <?php
        }
        ?>
    </nav>

    <div class="tab-content" style="padding-top:30px">
        <?php
        if (!$formid) {
        ?>
        <table class="widefat fixed" cellspacing="0">
            <thead>
                <tr>
                    <!--<th id="cb" class="manage-column column-cb check-column" scope="col">ID</th>-->
                    <th id="columnname" class="manage-column column-columnname" scope="col">ID</th>
                    <th id="columnname" class="manage-column column-columnname" scope="col">Formulario</th>
                    <th id="columnname" class="manage-column column-columnname num" scope="col">Vinculado a Fitsales</th> <!-- "num" added because the column contains numbers -->
                </tr>
            </thead>

            <tfoot>
                <tr>
                    <!--<th class="manage-column column-cb check-column" scope="col">ID</th>-->
                    <th class="manage-column column-columnname" scope="col">ID</th>
                    <th class="manage-column column-columnname" scope="col">Formulario</th>
                    <th class="manage-column column-columnname num" scope="col">Vinculado a Fitsales</th>
                </tr>
            </tfoot>

            <tbody>
        <?php
        }
        ?>
        
        <?php
        switch($tab) :
            case 'wpforms':
                $forms = WP_Fitsales_Public::getBasicFormsWPForms();
                $prefix = WP_Fitsales_Public::getPrefixWPForms();
                
                if (!$formid) {
                    $n = 0;
                    foreach ($forms as $form_id => $form_title)
                    {
                        $n++;
                        $activo = get_option('wp_fitsales_cfg_activo_' . $prefix . '_' . $form_id);
                    ?>

                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?>>
                        <th class="check-column" scope="row"><?php echo $form_id?></th>
                        <td class="column-columnname"><a href="?page=wp-fitsales&tab=wpforms&formid=<?php echo $form_id?>"><?php echo $form_title ?></a></td>
                        <td class="column-columnname" style="text-align:center"><?php echo $activo ? '<span style="color:green;font-weight:bold;">Sí</span>' : '<span style="color:red;font-weight:bold;">No</span>';?></td>
                    </tr>
                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?> valign="top">
                        <th class="check-column" scope="row"></th>
                        <td class="column-columnname">
                            <div class="row-actions">
                                <span><a href="?page=wp-fitsales&tab=wpforms&formid=<?php echo $form_id?>">Editar</a> |</span>
                                <?php /*<span><a href="#">Limpiar</a></span>*/?>
                            </div>
                        </td>
                        <td class="column-columnname"></td>
                    </tr>

                    <?php
                    }
                }
                else {
                    
                    echo '<h1>' . $forms[$formid] . '</h1>';
                    echo '<form method="POST" action="options.php">';
                    settings_fields( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    do_settings_sections( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    submit_button();
                    echo '</form>';
                }
                break;
            case 'ninjaforms':
                $forms = WP_Fitsales_Public::getBasicFormsNinjaForms();
                $prefix = WP_Fitsales_Public::getPrefixNinjaForms();

                if (!$formid) {
                    $n = 0;
                    foreach ($forms as $form_id => $form_title) {
                        $n++;
                        $activo = get_option('wp_fitsales_cfg_activo_' . $prefix . '_' . $form_id);
                    ?>

                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?>>
                        <th class="check-column" scope="row"><?php echo $form_id?></th>
                        <td class="column-columnname"><a href="?page=wp-fitsales&tab=ninjaforms&formid=<?php echo $form_id?>"><?php echo $form_title ?></a></td>
                        <td class="column-columnname" style="text-align:center"><?php echo $activo ? '<span style="color:green;font-weight:bold;">Sí</span>' : '<span style="color:red;font-weight:bold;">No</span>';?></td>
                    </tr>
                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?> valign="top">
                        <th class="check-column" scope="row"></th>
                        <td class="column-columnname">
                            <div class="row-actions">
                                <span><a href="?page=wp-fitsales&tab=ninjaforms&formid=<?php echo $form_id?>">Editar</a> |</span>
                                <?php /*<span><a href="#">Limpiar</a></span>*/?>
                            </div>
                        </td>
                        <td class="column-columnname"></td>
                    </tr>
        
                    <?php
                    }
                }
                else {
                    echo '<h1>' . $forms[$formid] . '</h1>';
                    echo '<form method="POST" action="options.php">';
                    settings_fields( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    do_settings_sections( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    submit_button();
                    echo '</form>';
                }
                break;
            default:
                $forms = WP_Fitsales_Public::getBasicFormsCF7();
                $prefix = WP_Fitsales_Public::getPrefixCF7();

                if (!$formid) {
                    $n = 0;
                    foreach ($forms as $form_id => $form_title)
                    {
                        $n++;
                        $activo = get_option('wp_fitsales_cfg_activo_' . $prefix . '_' . $form_id);
                    ?>

                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?>>
                        <th class="check-column" scope="row"><?php echo $form_id?></th>
                        <td class="column-columnname"><a href="?page=wp-fitsales&tab=cf7&formid=<?php echo $form_id?>"><?php echo $form_title ?></a></td>
                        <td class="column-columnname" style="text-align:center"><?php echo $activo ? '<span style="color:green;font-weight:bold;">Sí</span>' : '<span style="color:red;font-weight:bold;">No</span>';?></td>
                    </tr>
                    <tr <?php echo $n % 2 ? 'class="alternate"' : '' ?> valign="top">
                        <th class="check-column" scope="row"></th>
                        <td class="column-columnname">
                            <div class="row-actions">
                                <span><a href="?page=wp-fitsales&tab=cf7&formid=<?php echo $form_id?>">Editar</a> |</span>
                                <?php /*<span><a href="#">Limpiar</a></span>*/?>
                            </div>
                        </td>
                        <td class="column-columnname"></td>
                    </tr>
        
                    <?php
                    }
                }
                else {
                    echo '<h1>' . $forms[$formid] . '</h1>';
                    echo '<form method="POST" action="options.php">';
                    settings_fields( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    do_settings_sections( 'wp_fitsales_settings_' . $prefix . '_' . $formid );
                    submit_button();
                    echo '</form>';
                }
                break;
        endswitch;
        ?>

        <?php
        if (!$formid) {
        ?>

            </tbody>
        </table>    
        
        <?php
        }
        ?>

    </div>

    <?php
    } else {
    ?>

    <span>No se detectaron plugins de formularios</span>
    
    <?php
    }
    ?>
</div>
