<?php

/**
 * Fired during plugin activation
 *
 * @link       http://example.com
 * @since      1.0.0
 *
 * @package    WP_Fitsales
 * @subpackage WP_Fitsales/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    WP_Fitsales
 * @subpackage WP_Fitsales/includes
 * @author     David De Franchi <david@pragmatica.com.ar>
 */
class WP_Fitsales_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
        
        if (get_option('wp_fitsales_fields_relations')) {
            error_log('Existe wp_fitsales_fields_relations al activar plugin...');
            delete_option('wp_fitsales_fields_relations');
        }

        $relations = [
            'nombre_fitsales' => [],
            'apellido_fitsales' => [],
            'compania_fitsales' => [],
            'cargo_fitsales' => [],
            'email_fitsales' => [],
            'tel_laboral_fitsales' => [],
            'tel_movil_fitsales' => [],
            'direccion_fitsales' => [],
            'localidad_fitsales' => [],
            'cod_postal_fitsales' => [],
            'provincia_fitsales' => [],
            'comentario_fitsales' => [],
            'scoring_fitsales' => [],
            'tracking_fitsales' => [],
            'documento_fitsales' => [],
            'fec_nac_fitsales' => [],
            'campania_fitsales' => [],
            'fuente_fitsales' => [],
            'medio_fitsales' => [],
            'camposextra_fitsales' => [],
        ];

        add_option('wp_fitsales_fields_relations', $relations);

	}

}
